General Discussion

Upgrade to Active IQ Unified Manager 9.6 is failing

Hello, 

 

I have been trying to upgrade OCUM9.4 to Active IQ UM 9.6 but the upgrade is failing due to openjdk-11.

- As per RHEL developer portal, java-11-openjdk-devel could be found under "rhel-7-server-optional-rpms" but there is no such package.

- Already tried installing JDK manually and updated alternatives but upgrade script still fails.

 

[root@host_ocum bin]# java -version
openjdk version "11" 2018-09-25
OpenJDK Runtime Environment 18.9 (build 11+28)
OpenJDK 64-Bit Server VM 18.9 (build 11+28, mixed mode)

 

[root@host_ocum AIUM9.6]# ./upgrade.sh
Running pre upgrade checks
Checking system...
Console output logged to pre_install_check.log
Checking for root user..
Passed.
Checking for RHEL repository...
Passed.
Checking for MySQL 5.7 Community repository...
Passed.
Checking for the Red Hat Extra Packages for Enterprise Linux (EPEL) repository...
Passed.
No issues were detected.
Stopping services
Stopping NetApp OnCommand Insight Essentials Acquisition service ocieau
Stopping NetApp OnCommand Insight Essentials Acquisition service...
Waiting for ocieau to shut down
........
Stopped NetApp OnCommand Insight Essentials Acquisition service
Stopping NetApp OnCommand Insight Essentials Server service
.......
Stopped NetApp OnCommand Insight Essentials Server service
Sourcing pre-upgrade scripts
There is no pre-upgrade script in pre-upgrade.
Redirecting to /bin/systemctl stop mysql.service
Failed to stop mysql.service: Unit mysql.service not loaded.
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Examining ocie-au-9.6.0-2019.06.J5087.x86_64.rpm: ocie-au-9.6.0-2019.06.J5087.x86_64
Marking ocie-au-9.6.0-2019.06.J5087.x86_64.rpm as an update to ocie-au-9.4.0-2018.04.J271.x86_64
Examining ocie-server-9.6.0-2019.06.J5087.x86_64.rpm: ocie-server-9.6.0-2019.06.J5087.x86_64
Marking ocie-server-9.6.0-2019.06.J5087.x86_64.rpm as an update to ocie-server-9.4.0-2018.04.J271.x86_64
Examining ocie-serverbase-9.6.0-2019.06.J5063.x86_64.rpm: ocie-serverbase-9.6.0-2019.06.J5063.x86_64
Marking ocie-serverbase-9.6.0-2019.06.J5063.x86_64.rpm as an update to ocie-serverbase-9.4.0-2018.05.J153.x86_64
Examining netapp-application-server-9.6.0-2019.06.J5063.x86_64.rpm: netapp-application-server-9.6.0-2019.06.J5063.x86_64
Marking netapp-application-server-9.6.0-2019.06.J5063.x86_64.rpm as an update to netapp-application-server-9.4.0-2018.05.J153.x86_64
Examining netapp-ocum-9.6-x86_64.rpm: netapp-ocum-9.6-1907101850.x86_64
Marking netapp-ocum-9.6-x86_64.rpm as an update to netapp-ocum-9.4-1805151340.x86_64
Examining netapp-platform-base-9.6.0-2019.06.J5063.el7.x86_64.rpm: netapp-platform-base-9.6.0-2019.06.J5063.x86_64
Marking netapp-platform-base-9.6.0-2019.06.J5063.el7.x86_64.rpm as an update to netapp-platform-base-9.4.0-2018.05.J153.x86_64
Resolving Dependencies
--> Running transaction check
---> Package netapp-application-server.x86_64 0:9.4.0-2018.05.J153 will be updated
---> Package netapp-application-server.x86_64 0:9.6.0-2019.06.J5063 will be an update
---> Package netapp-ocum.x86_64 0:9.4-1805151340 will be updated
---> Package netapp-ocum.x86_64 0:9.6-1907101850 will be an update
---> Package netapp-platform-base.x86_64 0:9.4.0-2018.05.J153 will be updated
---> Package netapp-platform-base.x86_64 0:9.6.0-2019.06.J5063 will be an update
--> Processing Dependency: java-11-openjdk >= 1:11 for package: netapp-platform-base-9.6.0-2019.06.J5063.x86_64
rhel-7-server-extras-rpms                                                                                                                        | 2.0 kB  00:00:00
rhel-7-server-optional-rpms                                                                                                                      | 2.0 kB  00:00:00
rhel-7-server-rh-common-rpms                                                                                                                     | 2.1 kB  00:00:00
rhel-7-server-rpms                                                                                                                               | 2.0 kB  00:00:00
---> Package ocie-au.x86_64 0:9.4.0-2018.04.J271 will be updated
---> Package ocie-au.x86_64 0:9.6.0-2019.06.J5087 will be an update
---> Package ocie-server.x86_64 0:9.4.0-2018.04.J271 will be updated
---> Package ocie-server.x86_64 0:9.6.0-2019.06.J5087 will be an update
---> Package ocie-serverbase.x86_64 0:9.4.0-2018.05.J153 will be updated
---> Package ocie-serverbase.x86_64 0:9.6.0-2019.06.J5063 will be an update
--> Finished Dependency Resolution
Error: Package: netapp-platform-base-9.6.0-2019.06.J5063.x86_64 (/netapp-platform-base-9.6.0-2019.06.J5063.el7.x86_64)
           Requires: java-11-openjdk >= 1:11

 You could try using --skip-broken to work around the problem
** Found 4 pre-existing rpmdb problem(s), 'yum check' output follows:
cloog-ppl-0.15.7-1.2.el6.x86_64 has missing requires of libgmp.so.3()(64bit)
hal-info-20090716-5.el6.noarch has missing requires of hal >= ('0', '0.5.10', None)
ppl-0.10.2-11.el6.x86_64 has missing requires of libgmp.so.3()(64bit)
1:readahead-1.5.6-2.el6.x86_64 has missing requires of upstart
Sourcing post-upgrade scripts
There is no post-upgrade script in post-upgrade.
 
The same happens if I try to upgrade to OCUM9.5
 

Any suggestions?

1 REPLY 1

Re: Upgrade to Active IQ Unified Manager 9.6 is failing

issue is now fixed. got the exact same package 11.0.3 and installed it. OCUM sucessfully upgraded to 9.6

Forums